> For the complete documentation index, see [llms.txt](https://gitbook-docs.coinmetrics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook-docs.coinmetrics.io/network-data/network-data-overview/kri/transaction-feerates.md).

# Transaction Feerates

## Contents

* [Block Maximum Feerate (block\_feerate\_max)](#block_feerate_max)
* [Block Mean Feerate (block\_feerate\_mean)](#block_feerate_mean)
* [Block Median Feerate (block\_feerate\_median)](#block_feerate_median)
* [Block Minimum Feerate (block\_feerate\_min)](#block_feerate_min)

## Block Maximum Feerate <a href="#block_feerate_max" id="block_feerate_max"></a>

**Definition**

A block's maximum transaction feerate. For Bitcoin this is measured in sats/vbyte. For Ethereum this measures the gas price in Gwei

**Dictionary**

<table data-header-hidden><thead><tr><th width="180"></th><th width="210"></th><th width="107"></th><th></th></tr></thead><tbody><tr><td>Name</td><td>MetricID</td><td>Unit</td><td>Interval</td></tr><tr><td>Block Maximum Feerate</td><td>block_feerate_max</td><td>Native feerate</td><td>1 block</td></tr></tbody></table>

**Methodology**

The most recent block is evaluated and the maximum feerate in that block is computed.

**Available Assets**

Bitcoin (BTC), Ethereum (ETH)

**Sample Query**

{% embed url="<https://api.coinmetrics.io/v4/timeseries/asset-metrics?api_key=%3Cyour_key%3E&assets=btc,eth&frequency=1b&metrics=block_feerate_max&pretty=true>" %}

## Block Mean Feerate <a href="#block_feerate_mean" id="block_feerate_mean"></a>

**Definition**

A block's mean transaction feerate. For Bitcoin this is measured in sats/vbyte. For Ethereum this measures the gas price in Gwei

**Dictionary**

<table data-header-hidden><thead><tr><th width="180"></th><th width="210"></th><th width="107"></th><th></th></tr></thead><tbody><tr><td>Name</td><td>MetricID</td><td>Unit</td><td>Interval</td></tr><tr><td>Block Mean Feerate</td><td>block_feerate_mean</td><td>Native feerate</td><td>1 block</td></tr></tbody></table>

**Methodology**

The most recent block is evaluated and the mean feerate in that block is computed.

**Available Assets**

Bitcoin (BTC), Ethereum (ETH)

**Sample Query**

{% embed url="<https://api.coinmetrics.io/v4/timeseries/asset-metrics?api_key=%3Cyour_key%3E&assets=btc,eth&frequency=1b&metrics=block_feerate_mean&pretty=true>" %}

## Block Median Feerate <a href="#block_feerate_median" id="block_feerate_median"></a>

**Definition**

A block's median transaction feerate. For Bitcoin this is measured in sats/vbyte. For Ethereum this measures the gas price in Gwei

**Dictionary**

<table data-header-hidden><thead><tr><th width="180"></th><th width="210"></th><th width="107"></th><th></th></tr></thead><tbody><tr><td>Name</td><td>MetricID</td><td>Unit</td><td>Interval</td></tr><tr><td>Block Median Feerate</td><td>block_feerate_median</td><td>Native feerate</td><td>1 block</td></tr></tbody></table>

**Methodology**

The most recent block is evaluated and the median feerate in that block is computed.

**Available Assets**

Bitcoin (BTC), Ethereum (ETH)

**Sample Query**

{% embed url="<https://api.coinmetrics.io/v4/timeseries/asset-metrics?api_key=%3Cyour_key%3E&assets=btc,eth&frequency=1b&metrics=block_feerate_median&pretty=true>" %}

## Block Minimum Feerate <a href="#block_feerate_min" id="block_feerate_min"></a>

**Definition**

A block's minimum transaction feerate. For Bitcoin this is measured in sats/vbyte. For Ethereum this measures the gas price in Gwei

**Dictionary**

<table data-header-hidden><thead><tr><th width="180"></th><th width="210"></th><th width="107"></th><th></th></tr></thead><tbody><tr><td>Name</td><td>MetricID</td><td>Unit</td><td>Interval</td></tr><tr><td>Block Minimum Feerate</td><td>block_feerate_min</td><td>Native feerate</td><td>1 block</td></tr></tbody></table>

**Methodology**

The most recent block is evaluated and the minimum feerate in that block is computed.

**Available Assets**

Bitcoin (BTC), Ethereum (ETH)

**Sample Query**

{% embed url="<https://api.coinmetrics.io/v4/timeseries/asset-metrics?api_key=%3Cyour_key%3E&assets=btc,eth&frequency=1b&metrics=block_feerate_min&pretty=true>" %}

## API Endpoints

Transaction Feerate metrics can be accessed using these endpoints:

* `timeseries/asset-metrics`

and by passing in the metric ID's `block_feerate_*` in the `metrics` parameter.

{% openapi src="/files/kc3C7O6zTLYNBA0AcsZt" path="/timeseries/asset-metrics" method="get" %}
[openapi.yaml](https://2398817338-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MO23j33wWGzm0NrZseN%2Fuploads%2Fgit-blob-a236d0d04b3b155748ce07a17aca8108fce9b7c2%2Fopenapi.yaml?alt=media)
{% endopenapi %}

{% tabs %}
{% tab title="Shell" %}

```shell
curl --compressed "https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=block_feerate_max&assets=btc&frequency=1b&pretty=true&api_key=<your_key>"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
response = requests.get('https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=block_feerate_max&assets=btc&frequency=1b&pretty=true&api_key=<your_key>').json()
print(response)
```

{% endtab %}

{% tab title="Python Client" %}

```python
from coinmetrics.api_client import CoinMetricsClient

api_key = "<API_KEY>"
client = CoinMetricsClient(api_key)

print(
    client.get_asset_metrics(
        metrics="block_feerate_max", 
        assets="btc",
    ).to_dataframe()
)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/network-data/network-data-overview/kri/transaction-feerates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
